using FastReport.Utils;

namespace FastReport.Forms
{
    internal partial class LoadAutoSaveForm : BaseForm
    {
        public LoadAutoSaveForm(string filename)
        {
            InitializeComponent();

            MyRes res = new MyRes("Forms,LoadAutoSave");
            Text = res.Get("");
            btnRestore.Text = res.Get("Restore");
            btnCancel.Text = Res.Get("Buttons,Cancel");
            lblMessage.Text = res.Get("Message") + (string.IsNullOrEmpty(filename) ? "" : "\n\n\"" + filename + "\"");
            picture.Image = ResourceLoader.GetBitmap("Images.AutoSave.png");
            
            UIUtils.CheckRTL(this);
            UpdateDpiDependencies();
        }
    }
}
